import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * フレームクラス
 */
public class ARFrame extends JFrame {

	private		ARPanel				panel		= null;

	/**
	 * ここからはじまります。
	 */
	public static void main(String[] args){
		ARFrame mg01 = new ARFrame();
	}

	/**
	 * コンストラクタ
	 */
	public ARFrame() {

		// スーパークラスを呼び出す
		super();

		// ×ボタンが押されたら、終了する
		super.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		// レイアウト設定
		super.setLayout(new BorderLayout());

		// パネルを生成する
		panel = new ARPanel();

		// フレームのコンテントペインを置き換える
		super.setContentPane(panel);

		// フレームを表示
		super.setVisible(true);
		// サイズを最適化する
		super.pack();

		// フォーカスを当てる
		super.requestFocus();
		panel.requestFocus();

	} // end ARFrame

}
